#
# spec file for package python-columnize
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define modname columnize
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-columnize
Version:        0.3.11
Release:        1.12
License:        MIT
Summary:        Format a simple (i.e. not nested) list into aligned columns
URL:            https://github.com/rocky/pycolumnize
Group:          Development/Languages/Python
Source0:        https://files.pythonhosted.org/packages/source/c/columnize/columnize-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION For tests
BuildRequires:  %{python_module pytest}
# /SECTION
BuildRequires:  fdupes
BuildArch:      noarch

%python_subpackages

%description
Format a simple (i.e. not nested) list into aligned columns.

%prep
%autosetup -p1 -n columnize-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc NEWS.md README.rst
%license LICENSE
%{python_sitelib}/%{modname}
%{python_sitelib}/%{modname}-%{version}*-info/

%changelog
* Sat Mar 12 2022 Matej Cepl <mcepl@suse.com>
- Update to 0.3.11:
  - store source-code module in a directory
  - black files
  - use pytest
  - use __version__ for version number
  - start using github workflows
  - Bundle tests into tarball
- Remove upstreamed patches:
  - drop-nose-requirement.patch
  - python-columnize-no-mock.patch
  - test_columnize.py
* Tue Mar  8 2022 Matej Cepl <mcepl@suse.com>
- Rearrange and reapply patches.
* Tue Mar  8 2022 pgajdos@suse.com
- do not require python-mock for build
- added patches
  fix https://github.com/rocky/pycolumnize/issues/28
  + python-columnize-no-mock.patch
* Sat Feb  5 2022 Atri Bhattacharya <badshah400@gmail.com>
- Include test file missed from being included in source tarball
  and enable tests using pytest; additional BuildRequires for
  tests: python-pytest, python-mock.
* Sun Jan 30 2022 Atri Bhattacharya <badshah400@gmail.com>
- Update to version 0.3.10:
  * Make compatible with Python version 2.4..3.8 now.
  * Use TideLift security and make compliant.
- Add drop-nose-requirement.patch -- Drop requirement on outdated
  nose; we do not run tests anyway.
- Update License to MIT in keeping with upstream.
- More fine-grained file list.
* Sun Jan 12 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.3.9
